{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-57.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kxmlgui-5.116.0-1.fc41",
        "store-results-to": "/tmp/tmpqo1jccyf/kf5-kxmlgui-5.116.0-1.fc41.tar.xz",
        "time-created": "2024-07-03 13:53:21",
        "time-finished": "2024-07-03 13:55:33",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpqo1jccyf/kf5-kxmlgui-5.116.0-1.fc41.tar.xz' '--gcc-analyze' '/tmp/tmpqo1jccyf/kf5-kxmlgui-5.116.0-1.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9a9bfd9a3b29b55538bd3b0716771215175e02ad",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 261,
                    "column": 27,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'severityLayout'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 114,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 114,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 117,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 117,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 122,
                    "column": 12,
                    "event": "note",
                    "message": "Field 'bugDestination' is equal to CustomEmail",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 122,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 140,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'bugDestination' is not equal to CustomEmail",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 140,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 196,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 196,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 200,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'bugDestination' is equal to BugsKdeOrg",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 200,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 218,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 218,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 237,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'bugDestination' is equal to CustomEmail",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 237,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 253,
                    "column": 39,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 254,
                    "column": 34,
                    "event": "note",
                    "message": "Assuming '__begin2' is equal to '__end2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kbugreport.cpp",
                    "line": 261,
                    "column": 27,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'severityLayout'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  259|               severityLayout->addWidget(rb);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  260|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  261|->         d->severityButtons[2]->setChecked(true); // default : \"normal\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  262|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  263|           lay->addWidget(d->m_bgSeverity);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c2ae0274a119316b14b7ea776f50f44109c31dde",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 114,
                    "column": 1,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'initializer'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 79,
                    "column": 10,
                    "event": "note",
                    "message": "'doCheckAccelerators' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 79,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 84,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'app' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 84,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 92,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 92,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 101,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 101,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 110,
                    "column": 50,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/kcheckaccelerators.cpp",
                    "line": 114,
                    "column": 1,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'initializer'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  112|       // This is to prevent using KSharedConfig before main() can set the app name",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  113|       QMetaObject::invokeMethod(initializer, \"initiateIfNeeded\", Qt::QueuedConnection);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  114|-> }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  115|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  116|   Q_COREAPP_STARTUP_FUNCTION(startupFunc)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "430551ea38886ce8537dbd41316af511a33aa7a7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 332,
                    "column": 33,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'positionGroup'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/KF5/KI18n/klocalizedstring.h",
                    "line": 2344,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'i18n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming field 'enableContext' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 964,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'KToolBarPrivate::contextMenu'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 297,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'context' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 297,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 325,
                    "column": 39,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 332,
                    "column": 33,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'positionGroup'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/KF5/KI18n/klocalizedstring.h",
                    "line": 2344,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'i18n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  330|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  331|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332|->         contextMode = new QMenu(i18n(\"Text Position\"), context);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  333|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  334|           contextIcons = contextMode->addAction(i18nc(\"@item:inmenu\", \"Icons Only\"), q, [this]() {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "647b1e36d64794ba0cc3dfaac9b9ba274dbb5d6c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 354,
                    "column": 33,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'textGroup'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/KF5/KI18n/klocalizedstring.h",
                    "line": 2344,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'i18n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming field 'enableContext' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 964,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'KToolBarPrivate::contextMenu'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 297,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'context' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 297,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 347,
                    "column": 35,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 354,
                    "column": 33,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'textGroup'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/KF5/KI18n/klocalizedstring.h",
                    "line": 2344,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'i18n'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  352|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  353|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  354|->         contextSize = new QMenu(i18n(\"Icon Size\"), context);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  355|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  356|           auto *act = contextSize->addAction(i18nc(\"@item:inmenu Icon size\", \"Default\"));",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ff3d68c58c3111b43abd3bcc1bdd7c544fd4c6d6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 427,
                    "column": 14,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'sizeGroup'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming field 'enableContext' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 961,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 964,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'KToolBarPrivate::contextMenu'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 297,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'context' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 297,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 365,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'theme' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 365,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 371,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 371,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 420,
                    "column": 35,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "kf5-kxmlgui-5.116.0-build/kxmlgui-5.116.0/src/ktoolbar.cpp",
                    "line": 427,
                    "column": 14,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'sizeGroup'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  425|           }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  426|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  427|->         if (!q->toolBarsLocked() && !q->isMovable()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  428|               unlockedMovable = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  429|           }",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
